#define NONE_MODE 'N'
#define STRIP_MODE 'S'
#define ADD_MODE 'A'
#define EXCHANGE_MODE 'X'

#define CHARLEN     2
#define STRINGLEN   4
#define LONGLEN    10
#define PATHLEN   256
#define FILEBUF  1080

struct XProtocolData {
	struct XPR_UPDATE xpru;

	ULONG numerrs;

	UWORD CharDelay;	/* ticks */
	UWORD LineDelay;	/* ticks */

	BOOL	ExpandBlanks;
	BOOL	StripHiBit;

	BOOL	BinToASCII;
	BOOL	DelTmpFile;

	UBYTE BTA_tmpbuf[256+4];
	UBYTE BTA_outbuf[FILEBUF+4];

	UBYTE SerBuf[PATHLEN+4];
	UBYTE FileBuf[FILEBUF+4];

	UBYTE	LF_Mode;
	UBYTE	CR_Mode;
	UBYTE PromptChar;
	UBYTE	Dummy;	/* wird im XPrSetup als auto-string-term. missbraucht */
};


